***************
scripts package
***************

The Scripts Package is the entry point into Faceswap.

.. contents:: Contents
   :local:

extract module
==============
.. automodule:: scripts.extract
   :members:
   :undoc-members:
   :show-inheritance:

train module
============
.. automodule:: scripts.train
   :members:
   :undoc-members:
   :show-inheritance:

convert module
==============

.. rubric:: Module Summary

.. autosummary::
   :nosignatures:
   
   ~scripts.convert.Convert
   ~scripts.convert.DiskIO
   ~scripts.convert.OptionalActions
   ~scripts.convert.Predict
   
.. rubric:: Module

.. automodule:: scripts.convert
   :members:
   :undoc-members:
   :show-inheritance:

fsmedia module
==============

.. rubric:: Module Summary

.. autosummary::
   :nosignatures:
   
   ~scripts.fsmedia.Alignments
   ~scripts.fsmedia.DebugLandmarks
   ~scripts.fsmedia.FaceFilter
   ~scripts.fsmedia.Images
   ~scripts.fsmedia.PostProcess
   ~scripts.fsmedia.finalize

.. rubric:: Module
  
.. automodule:: scripts.fsmedia
   :members:
   :undoc-members:
   :show-inheritance:
